Subject: bug#9991: closed (Re: bug#9991: Incorrect return value from forward-line)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 08 Nov 2011 18:48:02 +0000

Your bug report

#9991: Incorrect return value from forward-line

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
9991: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=9991
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#9991: Incorrect return value from forward-line
From: Tiphaine Turpin <[email-masked]>
To: Glenn Morris <[email-masked]>
Date: Tue, 08 Nov 2011 21:31:33 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Le 08/11/2011 19:24, Glenn Morris a écrit :
>
> I think you are describing the documented behaviour?
>
> C-h f forward-line
>
>    With positive N, a non-empty line at the end counts as one line
>    successfully moved (for the return value).
>
> (ISTR thinking it odd myself.)
That's true, I just discovered the sentence, so either I read the
specification too quickly or the other system on which I was working
today has an older version of Emacs without this precision.

Thanks for your help and sorry about the noise...

Tiphaine

Subject: Incorrect return value from forward-line
From: Tiphaine Turpin <[email-masked]>
To: [email-masked]
Date: Tue, 08 Nov 2011 11:15:31 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

The number of lines left to move which is returned by forward-line 
considers the last line as processed if it is not empty. For example, 
(forward-line 1) evaluates to 0 if point is on the last line but 
strictly before the end of the buffer.

Tiphaine Turpin